#
# TODO:
# - add man files
#
%define		orgname		lokalize
%define		_state		stable
%define		qtver		4.8.1

Summary:	Computer-aided translation system that focuses on productivity and performance
Summary(pl.UTF-8):	System komputerowo wspomaganego tłumaczenia skupiający się na produktywności i wydajności
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	5
License:	GPL v2 or GPL v3
Group:		X11/Development/Tools
Source0:	https://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	b83fa21c233a60605eea717c20b84dfb
URL:		http://www.kde.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	db-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext-tools
BuildRequires:	hunspell-devel
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	shared-mime-info
BuildRequires:	utempter-devel
Obsoletes:	kde4-kdesdk-%{orgname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lokalize is a computer-aided translation system that focuses on
productivity and performance. Translator does only creative work (of
delivering message in his/her mother language in laconic and easy to
understand form). Lokalize implies paragraph-by-paragraph translation
approach (when translating documentation) and message-by-message
approach (when translating GUI).

%description -l pl.UTF-8
Lokalize to system komputerowo wspomaganego tłumaczenia, skupiający
się na produktywności i wydajności. Tłumacz wykonuje tylko pracę
twórczą (dostarczania komunikatów w języku ojczystym w zwięzłej i
łatwo zrozumiałej postaci). Lokalize zakłada podejście tłumaczenia
"akapit po akapicie" (przy tłumaczeniu dokumentacji) oraz "komunikat
po komunikacie" (przy tłumaczeniu interfejsów graficznych).

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lokalize
%{_datadir}/apps/lokalize
%{_datadir}/config.kcfg/lokalize.kcfg
%{_desktopdir}/kde4/lokalize.desktop
%{_iconsdir}/hicolor/*x*/apps/lokalize.png
%{_iconsdir}/hicolor/scalable/apps/lokalize.svgz
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-lokalize.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 5b74197
- rebuild for g++ ABI changes
- release 5 (by relup.sh)

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> a2fe278
- pl, cleanup (post-kdesdk?); release 4 (rebuild with hunspell 1.7)

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> 48ebfcb
- rebuild with hunspell 1.6
- release 3 (by relup.sh)

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> 8761a72
- rebuild with hunspell 1.4.1
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> bd0e788
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> e298bb2
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> baf3f11
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fd578c5
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> de19cdd
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c4f2048
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0df9542
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9bea5cc
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 891646c
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 92faeb9
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 23216e9
- new, based on kde4-kdesdk

